"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const LINKING_ERROR = `The package 'react-native-tv-focus-wrapper' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ComponentName = 'TvFocusWrapperView';
const TvFocusWrapperViewComponent = _reactNative.UIManager.getViewManagerConfig(ComponentName) != null ? (0, _reactNative.requireNativeComponent)(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
const TvFocusWrapperView = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  return /*#__PURE__*/_react.default.createElement(TvFocusWrapperViewComponent, {
    ref: ref,
    style: props.style,
    focusable: props.focusable ?? true,
    onFocus: props.onFocus,
    onBlur: props.onBlur,
    onPress: props.onPress,
    scale: props.scale ?? '1',
    enableFocusStyle: props.enableFocusStyle ?? true,
    focusStyle: props.focusStyle,
    enableGradient: props.enableGradient,
    gradientProps: props.gradientProps
  }, props.children);
});
var _default = TvFocusWrapperView;
exports.default = _default;
//# sourceMappingURL=index.js.map