import React from 'react';
import { requireNativeComponent, UIManager, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-tv-focus-wrapper' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ComponentName = 'TvFocusWrapperView';
const TvFocusWrapperViewComponent = UIManager.getViewManagerConfig(ComponentName) != null ? requireNativeComponent(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
const TvFocusWrapperView = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(TvFocusWrapperViewComponent, {
    ref: ref,
    style: props.style,
    focusable: props.focusable ?? true,
    onFocus: props.onFocus,
    onBlur: props.onBlur,
    onPress: props.onPress,
    scale: props.scale ?? '1',
    enableFocusStyle: props.enableFocusStyle ?? true,
    focusStyle: props.focusStyle,
    enableGradient: props.enableGradient,
    gradientProps: props.gradientProps
  }, props.children);
});
export default TvFocusWrapperView;
//# sourceMappingURL=index.js.map