import React, { ForwardedRef } from 'react';
import { ViewStyle, StyleProp, NativeSyntheticEvent } from 'react-native';
declare type Event = NativeSyntheticEvent<Readonly<{
    value: number;
    /**
     * Android Only.
     */
    fromUser?: boolean;
}>>;
export interface TvFocusWrapperProps {
    style?: StyleProp<ViewStyle>;
    children?: object;
    ref?: ForwardedRef<TvFocusWrapperProps>;
    scale?: string;
    onFocus?: (e: Event) => void;
    onBlur?: (e: Event) => void;
    onPress?: (e: Event) => void;
    focusable?: boolean;
    enableFocusStyle?: boolean;
    focusStyle?: {
        borderWidth: number;
        borderColor: string;
    };
    gradientProps?: {
        colorTop: string;
        colorBottom: string;
    };
    enableGradient?: boolean;
}
declare const TvFocusWrapperView: React.ForwardRefExoticComponent<Pick<TvFocusWrapperProps, "style" | "children" | "scale" | "onFocus" | "onBlur" | "onPress" | "focusable" | "enableFocusStyle" | "focusStyle" | "gradientProps" | "enableGradient"> & React.RefAttributes<TvFocusWrapperProps>>;
export default TvFocusWrapperView;
//# sourceMappingURL=index.d.ts.map